#! /usr/bin/python

import sys

def valid_int(s):
    assert len(s)>0
    assert s == '0' or s[0] != '0'  # Reject leading 0
    return int(s)

try: input = raw_input  # Python 2 compatibility
except: pass

N = valid_int(input())
K = valid_int(input())
weights = [valid_int(w) for w in input().split()]
assert 1 <= N <= 1000
assert 1 <= K <= 1000
assert len(weights) == N
for w in weights:
    assert 1 <= w <= 1000000
line = sys.stdin.readline()
assert not line, f'Found extra input: {line}'
exit(42)        
