let scan_int () =  Scanf.scanf " %d" (fun x -> x)
let n = scan_int ()
let k = scan_int ()
let l = Array.init n (fun _ -> scan_int()) |> Array.to_list 
let h = Hashtbl.create (k*n)

let limit =
  let rec foo k = function
    | [] -> []
    | x::y::q when x=y -> foo k (x::q)
    | x::q -> if k>0 then x::(foo (k-1) q) else []
  in
  fun l -> List.sort compare l |> foo k
         
let printl x =
  let rec foo v =
    if v > 0
    then
      begin
        let x = Hashtbl.find h v in
        print_string " " ;
        print_int (x) ;
        foo (v-x)
      end
  in
  print_int x ;
  print_string ":" ;
  foo x ;
  print_newline ()
  
let _ =
  let add l x = limit (l @ (List.map (fun v -> if not (Hashtbl.mem h (x+v)) then Hashtbl.replace h (x+v) x ; v+x) l)) in
  List.fold_left add [0] l |>
    List.iter printl
