N = int(input())
K = int(input())
weights = [int(w) for w in input().split()]

possible = [(0, [])]

for w in weights:
    for i in range(len(possible)):
        candidate_sum, candidate_weights = possible[i]
        possible.append((candidate_sum + w, candidate_weights + [w]))
    possible.sort(key=lambda candidate: candidate[0])
    new_possible = []
    for i, candidate in enumerate(possible):
        if i > 0 and possible[i - 1][0] == candidate[0]:
            continue
        new_possible.append(candidate)
        if len(new_possible) >= K:
            break
    possible = new_possible
assert len(possible) == K

for res in possible:
    print(f"{res[0]}: {' '.join([str(w) for w in res[1]])}")

