#! /usr/bin/python

def myint(s):
    assert s == "0\n" or not s.startswith("0"),\
            "leading 0 detected"
    return int(s)

try: input = raw_input  # Python 2 compatibility
except: pass

n, s = map(myint, input().split())

assert(1<=n<=100000)
assert(1<=s<=100000000)

import sys
lines = sys.stdin.readlines()
assert(len(lines)==n)
for v in lines:
    c=myint(v)
    assert(1<=c<=100000000)
    assert((n-1)<=c/s)
exit(42)        
