#! /usr/bin/python

def myint(s):
    assert s == "0\n" or s == '0' or not s.startswith("0"),\
        "leading 0 detected"
    return int(s)

try: input = raw_input  # Python 2 compatibility
except: pass

n, k = map(myint, input().split())

assert(1<=k<= n<=5000)

import sys
lines = sys.stdin.readlines()
assert(len(lines)==k)
seen = set()
for v in lines:
    p,s = map(myint, v.split())
    assert(0<s<=10**6)
    assert(p not in seen)
    assert(1 <= p <= n)
    seen.add(p)
exit(42)        
