import java.util.Arrays;
import java.util.Scanner;

public class Ioana 
{
	static int N,K;
	static St[] statues;
	static long[][] min;
	static final long MAXS = 1000000;
	
	static class St implements Comparable<St>{
		long P, S;
		 @Override
		public int compareTo(St st2){
			 if (this.S>st2.S || (this.S == st2.S && this.P>st2.P)) return 1;
			 return -1;
		}
		public St (long P, long S) {
			this.S = S; this.P = P;
		}
	}
        
	public static void main(String[] args)
	{
		Scanner input = new Scanner( System.in );
		N = input.nextInt();
		K = input.nextInt();
		
		statues = new St[K+1];
		statues[0] = new St(0,-MAXS);
	
		for (int i = 1; i <= K; ++i) 
			statues[i] = new St(input.nextLong(), input.nextLong());
	    min = new long[K+1][N+1];
    
	    for (int i = 1; i <= K; ++i) 
	    	for (int j  = 0; j <= N; ++j) 
	    		min[i][j] = K*N*MAXS+1;
    
	    for (int j  = 0; j <= N; ++j) 
	    	min[0][j] = 0;

	    Arrays.sort(statues);

	    for (int i = 1; i <= K; ++i)
	    	for (int j  = 1; j <= N; ++j) {
	    		long tmpmin = min[i-1][j-1] +  statues[i].S*Math.abs(statues[i].P-j);
	    		if (tmpmin < min[i][j]) {
	    			min[i][j] = tmpmin;
	    		}
	    		tmpmin = min[i][j-1];
	    		if (tmpmin < min[i][j]){
	    			min[i][j] = tmpmin;
	    		} 
	    	}
	    System.out.println(min[K][N]);
	}
}


