#include <cstdio>
#include <algorithm>

using namespace std;

const long long INF=1000000000000000L;
int N, K;
pair<long long, long long> statues [5001];
long long disp[5003][5003] ;

int main () {
  scanf("%d %d\n",&N,&K);
  for(int i = 0 ; i < K ; i++)
    scanf("%d %d\n",&statues[i].second,&statues[i].first);
  sort(statues,statues+K);
  fill(disp[1],disp[5002],INF);
  for(int i = 0 ; i < K ; i ++ )
    for(int p = 1 ; p <= N+1 ; p ++ )
      disp[i+1][p+1] = min(disp[i+1][p],disp[i][p]+abs(statues[i].second-p)*statues[i].first) ;
  printf("%lld\n",disp[K][N+2]);
  return 0;
}
